package com.mortals.xhx.module.dimension.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.DimensionTypeEnum;
import com.mortals.xhx.module.dimension.model.DimensionEntity;
import com.mortals.xhx.module.dimension.service.DimensionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
*
* 授权维度
*
* @author zxfei
* @date 2024-05-16
*/
@RestController
@RequestMapping("dimension")
public class DimensionController extends BaseCRUDJsonBodyMappingController<DimensionService,DimensionEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DimensionController(){
        super.setModuleDesc( "授权维度");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
                this.addDict(model, "dimensionType", DimensionTypeEnum.getEnumMap());
        super.init(model, context);
    }


}