package com.mortals.xhx.module.record.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.record.model.PrintWaitQueueEntity;
import com.mortals.xhx.module.record.service.PrintWaitQueueService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 证照打印记录
*
* @author zxfei
* @date 2022-10-22
*/
@RestController
@RequestMapping("print/wait/queue")
public class PrintWaitQueueController extends BaseCRUDJsonBodyMappingController<PrintWaitQueueService,PrintWaitQueueEntity,Long> {

    @Autowired
    private ParamService paramService;

    public PrintWaitQueueController(){
        super.setModuleDesc( "证照打印记录");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "certificateType", paramService.getParamBySecondOrganize("PrintWaitQueue","certificateType"));
        this.addDict(model, "printStatus", paramService.getParamBySecondOrganize("PrintWaitQueue","printStatus"));
        super.init(model, context);
    }


}